  /* --------------- NAVBAR --------------- */

.collapsing {
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -ms-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
  }
  
  .navbar-mode .navbar-brand {
    color: var(--font-color);
    font-size: 1.5rem;
    padding: 0px 8px 0px 6px;
    border-radius: 6px;
  
    font-family: "Great Vibes";
    font-weight: normal;
    font-style: italic;
  }
  
  .navbar-mode .navbar-nav .nav-link {
    width: 100%;
    color: var(--font-color);
    font-family: "Montserrat", sans-serif;
    transition: 0.2s;
  
    /* border-radius: 6px; */
  }
  
  .navbar-mode .navbar-nav .nav-link:hover,
  .navbar-mode .navbar-nav .nav-link:focus {
    color: var(--font-color-hover);
    background-color: rgba(var(--mistone-rgb), 0.1);
  }
  
  .navbar-mode .navbar-nav .nav-link.disabled {
    color: alpha(var(--background-color), 0.3);
  }
  
  .navbar-mode .navbar-nav .show > .nav-link,
  .navbar-mode .navbar-nav .active > .nav-link,
  .navbar-mode .navbar-nav .nav-link.show,
  .navbar-mode .navbar-nav .nav-link.active {
    color: alpha(var(--background-color), 0.9);
  }
  
  .navbar-mode .navbar-toggler {
    color: alpha(var(--background-color), 0.5);
    border-color: var(--toggle-border);
  }
  
  .navbar-mode .bottom-border {
    border-bottom: 1px solid var(--border-top);
  }
  
  .navbar-mode .navbar-toggler-icon {
    background-image: var(--toggle-url);
  }
  
  .navbar-mode .navbar-text {
    color: alpha(var(--background-color), 0.5);
  }
  
  .navbar-mode .navbar-text a {
    color: alpha(var(--background-color), 0.9);
  }
  
  .navbar-mode .navbar-text a:hover,
  .navbar-mode .navbar-text a:focus {
    color: alpha(var(--mistone-rgb), 0.9);
  }
  
  .navbar-nav .nav-link {
    padding-right: 0.5rem;
    padding-left: 0.5rem;
  }
  
  .box-shadow {
    box-shadow: 0 0.25rem 0.75rem var(--box-shadow);
  }
  
  .bottom-shadow {
    margin-bottom: 0;
    border-bottom: 1px solid var(--border-top);
    box-shadow: 0 2px 1px -2px var(--box-shadow);
  }
  
/* -------- INPUT -------- */

.label-before,
.field input:valid + label::before,
.field input:focus + label::before {
  line-height: 20px;
  font-size: 12px;
  top: -10px;
  background: var(--box-link-bg);
  padding: 0 6px;
  left: 9px;
}
.field {
  position: relative;
  width: 100%;
}

.field label::before {
  content: attr(title);
  position: absolute;
  top: 0;
  left: 15px;
  line-height: 40px;
  font-size: 14px;
  color: var(--font-muted);
  cursor: text;
  transition: 300ms all;
}
.field input,
textarea {
  width: 100%;
  line-height: 40px;
  padding: 0 15px;
  box-sizing: border-box;
  font-size: 14px;
  font-family: "Montserrat", sans-serif;
  color: var(--mistone);
  background: var(--box-link-bg);
  border: 1px solid var(--font-muted);
}
.field textarea {
  resize: none;
  line-height: 1.5rem;
  padding: 8px 15px;
}
textarea:focus {
  outline: none !important;
  border-color: rgba(var(--mistone-rgb), 1);
}
.field input:focus {
  outline: 0;
  border-color: rgba(var(--mistone-rgb), 1);
}
.field input:valid + label::before {
  content: attr(data-title);
}
.field input:focus + label::before {
  color: rgba(var(--mistone-rgb), 1);
}
.error {
  border: 1px solid rgba(255, 0, 0, 0.6) !important;
}

input:required,
textarea:required {
  box-shadow: none;
}


/**
 * ==============================================
 * Dot Flashing by: https://github.com/nzbin/three-dots
 * ==============================================
 */
 .dot-three {
     opacity: 0;
     position: relative;
     width: 10px;
     height: 10px;
     border-radius: 5px;
     background-color: var(--tone);
     color: var(--tone);
     
     left: calc(50% - 5px);
     top: -18px;
     transition: 0.5s;
    }
    
    .dot-flashing, .dot-flashing::before, .dot-flashing::after {
        animation: dotFlashing 1s infinite linear alternate;
    }
    
    .dot-flashing{
        animation-delay: .5s;
    }
    .dot-flashing::before {

        animation-delay: 0s;
    }
    .dot-flashing::after {

        animation-delay: 1s;
    }
    
    .dot-three::before, .dot-three::after {
        content: '';
        display: inline-block;
        position: absolute;
        top: 0;
    }
    
    .dot-three::before {
        left: -15px;
        width: 10px;
        height: 10px;
        border-radius: 5px;
        background-color: var(--tone);
        color: var(--tone);
    }
    
    .dot-three::after {
        left: 15px;
        width: 10px;
        height: 10px;
        border-radius: 5px;
        background-color: var(--tone);
        color: var(--tone);
    }
    
    @keyframes dotFlashing {
        0% {
            background-color: var(--tone);
        }
        50%,
        100% {
            background-color: var(--border-top);
        }
    }
/**
 * ==============================================
 * Check mark by: https://codepen.io/elevaunt
 * ==============================================
 */
.check, .cross{
    position: absolute;
    left: calc(50% - 19px);
    top: -32px;
    height: 38px;
    display: block;
    margin: 0 auto;
}
.path {
    opacity: 0;
    stroke: var(--tone);
    stroke-width: 12;
    stroke-miterlimit: 10;
    stroke-dasharray: 1000;
    stroke-dashoffset: 0;
}
.path.line {
    stroke-dashoffset: 1000;
    -webkit-animation: dash .9s .35s ease-in-out forwards;
    animation: dash .9s .35s ease-in-out forwards;
}
.path.draw {
    stroke-dashoffset: -100;
    -webkit-animation: dash-check .9s .35s ease-in-out forwards;
    animation: dash-check .9s .35s ease-in-out forwards;
}

@-webkit-keyframes dash {
    0% {
        stroke-dashoffset: 1000;
   }
    100% {
        stroke-dashoffset: 0;
   }
}
@keyframes dash {
    0% {
        stroke-dashoffset: 1000;
   }
    100% {
        stroke-dashoffset: 0;
   }
}

@-webkit-keyframes dash-check {
    0% {
        stroke-dashoffset: -100;
   }
    100% {
        stroke-dashoffset: 900;
   }
}
@keyframes dash-check {
    0% {
        stroke-dashoffset: -100;
   }
    100% {
        stroke-dashoffset: 900;
   }
}
